---
title: Get selection
slug: topic-api/get-selection
docTags: 
createdAt: 2024-06-10T16:49:07.009Z
---

{
  "id": "pnWTKt3_2Z7_1sb4bgntK",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/viewpoints/{viewpoint-id}/selection",
    "servers": [
      {
        "url": "https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/viewpoints/{viewpoint-id}/selection"
      }
    ],
    "name": "Get selection",
    "description": "Get the selection of a topic viewpoint.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "topic-board-id",
          "type": "string",
          "example": "e18a2d10-1595-4e52-a941-22d43bf8d7ad",
          "description": "Id of the topic board"
        },
        {
          "kind": "required",
          "name": "topic-id",
          "type": "string",
          "example": "18d0273d-e15c-4924-97b3-6f47b233eebe",
          "description": "Topic id"
        },
        {
          "kind": "required",
          "name": "viewpoint-id",
          "type": "string",
          "example": "52959166-dbd2-44eb-81bb-74f955f30e0f",
          "description": "Id of viewpoint"
        }
      ],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Bearer",
          "kind": "optional",
          "type": "http",
          "scheme": "bearer"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "viewpoint-selection",
            "schema": [
              {
                "name": "selection",
                "kind": "optional",
                "type": "array",
                "description": "List of selections",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "ifc_guid",
                    "kind": "optional",
                    "type": "string",
                    "description": "IFC guid of the selection",
                    "example": "3BY5alwwL00QXHtY2qmHYZ"
                  },
                  {
                    "name": "originating_system",
                    "kind": "optional",
                    "type": "string",
                    "description": "Originating system of the selection",
                    "example": ""
                  },
                  {
                    "name": "authoring_tool_id",
                    "kind": "optional",
                    "type": "string",
                    "description": "Id of the selection in the authoring tool",
                    "example": ""
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/viewpoint-selection",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "3Gd8dcmb5V1LZRVbadbPm",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/viewpoints/{viewpoint-id}/selection \\\n     --header 'accept: application/json'"
        },
        {
          "id": "5hgx0FjEOmVoKd3YA4tt9",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/viewpoints/{viewpoint-id}/selection\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "2thoPWFX2vNgDDxtk6klj",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/viewpoints/{viewpoint-id}/selection\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "gntKyzgOhwh8rWHVw5HTM",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/viewpoints/{viewpoint-id}/selection\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "3Gd8dcmb5V1LZRVbadbPm"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n{\n  \"selection\": [\n    {\n      \"ifc_guid\": \"3BY5alwwL00QXHtY2qmHYZ\",\n      \"originating_system\": \"\",\n      \"authoring_tool_id\": \"\"\n    }\n  ]\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}